# Primitive Class `Flow.Starfield`

Represents a starfield.

## Functions

Starfield(starCount) | Create a starfield object with only stars.
Starfield(starCount, meteorCount) | Create a starfield object with stars and meteors.
Starfield:GetStarsEnabled() | Get the starfield's enabled status of stars.
Starfield:GetMeteorsEnabled() | Get the starfield's enabled status of meteors.
Starfield:GetStarCount() | Get the starfield's number of stars.
Starfield:GetMeteorCount() | Get the starfield's number of meteors.
Starfield:GetMeteorSpawnDensity() | Get the starfield's meteor spawn density.
Starfield:GetMeteorVelocity() | Get the starfield's meteor velocity.
Starfield:SetStarCount(New) | Set the starfield's number of stars (6000 max).
Starfield:SetMeteorCount(New) | Set the starfield's number of meteors (100 max).
Starfield:SetMeteorSpawnDensity(New) | Set the starfield's meteor spawn density.
Starfield:SetMeteorVelocity(New) | Set the starfield's meteor velocity.

## Functions

Starfield(starCount)
  Create a starfield object with only stars. ()

  ### Parameters:

  - starCount int Star count.

  ### Returns:

  Starfield A new Starfield object.
Starfield(starCount, meteorCount)
  Create a starfield object with stars and meteors. ()

  ### Parameters:

  - starCount int Star count (6000 max).
  - meteorCount int Meteor count (100 max).

  ### Returns:

  Starfield A new Starfield object.
Starfield:GetStarsEnabled()
  Get the starfield's enabled status of stars. ()

  ### Returns:

  bool Stars enabled status.
Starfield:GetMeteorsEnabled()
  Get the starfield's enabled status of meteors. ()

  ### Returns:

  bool Meteors enabled status.
Starfield:GetStarCount()
  Get the starfield's number of stars. ()

  ### Returns:

  int Count.
Starfield:GetMeteorCount()
  Get the starfield's number of meteors. ()

  ### Returns:

  int Count.
Starfield:GetMeteorSpawnDensity()
  Get the starfield's meteor spawn density. ()

  ### Returns:

  int Spawn density.
Starfield:GetMeteorVelocity()
  Get the starfield's meteor velocity. ()

  ### Returns:

  float Velocity.
Starfield:SetStarCount(New)
  Set the starfield's number of stars (6000 max). (int)

  ### Parameters:

  - New int count.
Starfield:SetMeteorCount(New)
  Set the starfield's number of meteors (100 max). (int)

  ### Parameters:

  - New int count.
Starfield:SetMeteorSpawnDensity(New)
  Set the starfield's meteor spawn density. (int)

  ### Parameters:

  - New int spawn density.
Starfield:SetMeteorVelocity(New)
  Set the starfield's meteor velocity. (float)

  ### Parameters:

  - New int velocity.

generated by TEN-LDoc (a fork of LDoc 1.4.6)